SUB DrawCircle (xOffset%, yOffset%, radius%, C%)
     DIM xPlot!, yPlot!     ' Current pixel being plotted.
     DIM angle!, angleRad!  ' Current angle in degrees & radiens.

     FOR angle! = 0! TO 360! STEP 0.5

          ' Convert degrees to radiens.
          angleRad! = angle! * (3.141592654 / 180!)

          ' Convert polar to rectangular coordinates.
          xPlot! = (radius! * COS(angleRad!)) + xOffset%
          yPlot! = (radius! * SIN(angleRad!)) + yOffset%

          ' Check boundaries.
          IF xPlot! < 0 THEN xPlot! = 0 ELSEIF xPlot! > 319 THEN xPlot! = 319
          IF yPlot! < 0 THEN yPlot! = 0 ELSEIF yPlot! > 199 THEN yPlot! = 199

          ' Plot the pixel on the graphics screen.
          PSET(xPlot!, yPlot!), C%
     NEXT angle!
END SUB