TYPE BMPGeneralHeader
    title AS STRING * 2
    fileSize AS LONG
    reserved1 AS INTEGER
    reserved2 AS INTEGER
    picLocation AS LONG
END TYPE

TYPE BMPInfoHeader
    picWidth AS LONG
    picHeight AS LONG
    numOfPlanes AS INTEGER
    bitsPerPixel AS INTEGER
    compression AS LONG
    imageSize AS LONG
    xRes AS LONG
    yRes AS LONG
    colorsUsed AS LONG
    importantColors AS LONG
END TYPE

DIM GenHeader AS BMPGeneralHeader
DIM InfoHeader AS BMPInfoHeader
DIM SizeInfoHeader AS LONG
DIM palColor AS STRING * 4
DIM myByte AS STRING * 1

'OPEN "leaves.bmp" FOR BINARY ACCESS READ AS #1
OPEN "testfile.bmp" FOR BINARY ACCESS READ AS #1

GET #1, , GenHeader
IF GenHeader.title <> "BM" THEN
    PRINT "Not a BMP file."
    CLOSE #1
    END
END IF

GET #1, , SizeInfoHeader
IF SizeInfoHeader <> 40 THEN
    PRINT "Cannot process OS/2 bitmaps yet."
    CLOSE #1
    END
END IF

GET #1, , InfoHeader
SCREEN 13

FOR c% = 0 TO 255
    palColor = INPUT$(4, 1)
    OUT &H3C8, c%
    OUT &H3C9, ASC(MID$(palColor, 3, 1)) \ 4
    OUT &H3C9, ASC(MID$(palColor, 2, 1)) \ 4
    OUT &H3C9, ASC(MID$(palColor, 1, 1)) \ 4
NEXT c%

FOR row& = InfoHeader.picHeight - 1 TO 0 STEP -1
    FOR col& = 0 TO InfoHeader.picWidth - 1
        myByte = INPUT$(1, 1)
        PSET (col&, row&), ASC(myByte)
    NEXT col&
NEXT row&

WHILE INKEY$ <> "": WEND
WHILE INKEY$ = "": WEND

CLOSE #1
SCREEN 0
WIDTH 80
END

