TYPE BMPGeneralHeader
    title AS STRING * 2
    fileSize AS LONG
    reserved1 AS INTEGER
    reserved2 AS INTEGER
    picLocation AS LONG
END TYPE

TYPE BMPInfoHeader
    picWidth AS LONG
    picHeight AS LONG
    numOfPlanes AS INTEGER
    bitsPerPixel AS INTEGER
    compression AS LONG
    imageSize AS LONG
    xRes AS LONG
    yRes AS LONG
    colorsUsed AS LONG
    importantColors AS LONG
END TYPE

TYPE ColorAttributes
    Red AS INTEGER
    Green AS INTEGER
    Blue AS INTEGER
END TYPE

DIM myColor AS ColorAttributes
DIM GenHeader AS BMPGeneralHeader
DIM InfoHeader AS BMPInfoHeader
DIM SizeInfoHeader AS LONG
DIM myByte AS STRING * 1

SCREEN 13

FOR x% = 0 TO 50
    LINE -(RND * 320, RND * 200), RND * 256
    CIRCLE (RND * 320, RND * 200), RND * 50, RND * 256
NEXT x%
LOCATE 11
PRINT "Created by SAVEBMP.BAS by Gary Neal, Jr."

WHILE INKEY$ <> "": WEND
WHILE INKEY$ = "": WEND

ON ERROR GOTO ErrorTrap
KILL "testfile.bmp"

ResumeFile:
OPEN "testfile.bmp" FOR BINARY ACCESS WRITE AS #1

GenHeader.title = "BM"
GenHeader.fileSize = 64000
GenHeader.reserved1 = 0
GenHeader.reserved2 = 0
GenHeader.picLocation = LEN(GenHeader) + LEN(SizeInfoHeader) + LEN(InfoHeader) + 1024
PUT #1, , GenHeader

SizeInfoHeader = LEN(InfoHeader) + LEN(SizeInfoHeader)
PUT #1, , SizeInfoHeader

InfoHeader.picWidth = 320
InfoHeader.picHeight = 200
InfoHeader.numOfPlanes = 1
InfoHeader.bitsPerPixel = 8
InfoHeader.compression = 0
InfoHeader.imageSize = 64000
InfoHeader.xRes = 320
InfoHeader.yRes = 200
InfoHeader.colorsUsed = 0
InfoHeader.importantColors = 0
PUT #1, , InfoHeader

FOR x% = 0 TO 255
    OUT &H3C7, x%
    myColor.Red = INP(&H3C9)
    myColor.Green = INP(&H3C9)
    myColor.Blue = INP(&H3C9)

    IF myColor.Blue > 0 THEN
        myByte = CHR$((myColor.Blue * 4) OR 3)
    ELSE
        myByte = CHR$(myColor.Blue * 4)
    END IF
    PUT #1, , myByte

    IF myColor.Green > 0 THEN
        myByte = CHR$((myColor.Green * 4) OR 3)
    ELSE
        myByte = CHR$(myColor.Green * 4)
    END IF
    PUT #1, , myByte

    IF myColor.Red > 0 THEN
        myByte = CHR$((myColor.Red * 4) OR 3)
    ELSE
        myByte = CHR$(myColor.Red * 4)
    END IF
    PUT #1, , myByte

    myByte = CHR$(0)
    PUT #1, , myByte
NEXT x%

FOR row& = 199 TO 0 STEP -1
    FOR col& = 0 TO 319
        myByte = CHR$(POINT(col&, row&))
        PUT #1, , myByte
        PSET (col&, row&), 15
    NEXT col&
NEXT row&

CLOSE #1
SCREEN 0
WIDTH 80
END


ErrorTrap:
RESUME ResumeFile

